package com.aiup.service.entity;

import java.util.Date;
import java.io.Serializable;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

/**
 * 用户登录日志(UserLoginLog)实体类
 *
 * @author makejava
 * @since 2023-08-22 12:54:46
 */

@ApiModel("用户登录日志")
public class UserLoginLog implements Serializable {
    private static final long serialVersionUID = 231490174521221021L;
    /**
     * ID
     */    
    @ApiModelProperty(value = "ID")
    private Long id;
    /**
     * 用户ID
     */    
    @ApiModelProperty(value = "用户ID")
    private Integer userId;
    /**
     * Token
     */    
    @ApiModelProperty(value = "Token")
    private String token;
    /**
     * 登录时间
     */    
    @ApiModelProperty(value = "登录时间")
    private Date createTime;


    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public Integer getUserId() {
        return userId;
    }

    public void setUserId(Integer userId) {
        this.userId = userId;
    }

    public String getToken() {
        return token;
    }

    public void setToken(String token) {
        this.token = token;
    }

    public Date getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

}

